Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 188152 - Values from custom cell editors in view models are not propagated to TableModel.setValueAt()
Values from custom cell editors in view models are not propagated to TableMod...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Martin Entlicher
issues@debugger
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 12:29 UTC by Martin Entlicher
Modified: 2010-07-07 14:10 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-06-28 12:29:05 UTC
Outline from OutlineView operates on Nodes and their properties.
When cells are edited, appropriate property editors are invoked. These property editors set the values directly to the properties and therefore Outline ignores explicit set of values.
The result is, that values from custom cell editors are ignored, because they do not operate on properties.
Comment 1 Martin Entlicher 2010-06-28 12:30:28 UTC
As a workaround, the cell editor needs to explicitly process the code that is in TableModel.setValueAt().
Comment 2 Martin Entlicher 2010-06-28 16:23:09 UTC
Fixed in changeset:   173628:e8f68f394390
http://hg.netbeans.org/main/rev/e8f68f394390
Comment 3 Quality Engineering 2010-06-29 03:20:36 UTC
Integrated into 'main-golden', will be available in build *201006290001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e8f68f394390
User: mentlicher@netbeans.org
Log: #188152 Propagate explicit set of table values to properties. Also some minor touch-ups in handling of cell editors in debugger views.
Comment 4 Martin Entlicher 2010-07-02 14:20:20 UTC
Well, this was done for JavaFX debugger as well, so it should be integrated in release691.
The fix was verified in JavaFX build, so it can be hopefully marked as verified...
Comment 5 pgebauer 2010-07-07 14:10:54 UTC
The fix has been ported into the release691 brach.
http://hg.netbeans.org/release691/rev/3af4079b58f2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo